/**
	\file 		SimpleControl.h
	\author 	Dustin Spicuzza: last changed by $Author: dspicuzz $
	\date 		Last changed on $Date: 2009-03-01 04:24:30 -0500 (Sun, 01 Mar 2009) $
	\version 	$Rev: 253 $
*/


#ifndef ARCADE_CONTROL_H
#define ARCADE_CONTROL_H

#include "../KwarqsLib/KwarqsConstants.h"
#include "../KwarqsLib/KwarqsMovementControl.h"
#include "../KwarqsLib/KwarqsJoystick.h"

/**
	\class SimpleControl
	\brief A very simple control system to demonstrate that things work
*/
class SimpleControl : public KwarqsMovementControl {
public:

	// constructor
	SimpleControl(KwarqsDriveController * driveController);

	/// required method
	void Move();
	
	/// required method
	const char * Name() { return "SimpleControl"; }
	
private:

	// joystick used for control
	KwarqsJoystick m_stick;
};

#endif

